package com.prolog.cs.base.gsp.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.prolog.cs.base.gsp.model.GspUnqualifiedLoss;
import com.prolog.cs.base.gsp.model.GspUnqualifiedLossD;
import com.prolog.cs.base.gsp.vo.ErpUnqualifiedLossVo;
import com.prolog.cs.base.gsp.vo.GspUnqualifiedLossDVO;
import com.prolog.cs.base.gsp.vo.LossToOmsVo;
import com.prolog.framework.core.pojo.Page;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * @Description  
 * @Date 2021-05-10 
 */

public interface GspUnqualifiedLossService {


	Boolean add(GspUnqualifiedLoss model);

	@Transactional
	void delIds(List<String> pkIdList);

	Page<GspUnqualifiedLoss> listPage(String warehouseId, String cargoOwnerId, String status, Integer pageSize, Integer pageNum);

	List<GspUnqualifiedLossDVO> findDetailByMstId(String mstId);

	List<GspUnqualifiedLossDVO> spellGspUnqualifiedLossDVOS(List<GspUnqualifiedLossD> list);

	void batchAudit(List<GspUnqualifiedLoss> list,String status) throws Exception;

	void oneAudit(GspUnqualifiedLoss gspUnqualifiedLoss, String status, Date auditDate) throws Exception;

    Boolean erpAdd(ErpUnqualifiedLossVo vo);
}
